ranges::v3::view::c_str_fn Struct Reference
Views

## Description

View a `\0`-terminated C string (e.g. from a const char*) as a range.

## Synopsis of methods

constexpr c_str_fn | c_str {}

## Public Member Functions

template<typename Char , std::size_t N, requires = (detail::is_char_type<Char>())>
ranges::iterator_range< Char * > | operator() (Char(&sz)[N]) const
template<typename Char , requires = (detail::is_char_type<Char>())>
ranges::delimit_view< ranges::iterator_range< Char *, ranges::unreachable >, meta::_t< std::remove_cv< Char > > > | operator() (Char *sz) const volatile